[tor-commits] [tor-browser-bundle/master] Make record-inputs record the openssl tag.

mikeperry at torproject.org mikeperry at torproject.org
Tue Nov 12 06:29:46 UTC 2013


commit 3a77d72e665369cd7b396fc07fad2800866687fb
Author: Mike Perry <mikeperry-git at torproject.org>
Date:   Mon Nov 11 22:22:15 2013 -0800

    Make record-inputs record the openssl tag.
---
 gitian/record-inputs.sh |   17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

diff --git a/gitian/record-inputs.sh b/gitian/record-inputs.sh
index 8881161..95a8fcf 100755
--- a/gitian/record-inputs.sh
+++ b/gitian/record-inputs.sh
@@ -1,6 +1,18 @@
 #!/bin/bash
 
-. ./versions
+if [ -z "$1" ];
+then
+  VERSIONS_FILE=./versions
+else
+  VERSIONS_FILE=$1
+fi
+
+if ! [ -e $VERSIONS_FILE ]; then
+  echo >&2 "Error: $VERSIONS_FILE file does not exist"
+  exit 1
+fi
+
+. $VERSIONS_FILE
 
 WRAPPER_DIR=$PWD
 
@@ -22,7 +34,6 @@ echo >> bundle.inputs
 #sha256sum *-langpacks.zip >> bundle.inputs
 sha256sum noscript at noscript.net.xpi >> bundle.inputs
 sha256sum uriloader at pdf.js.xpi >> bundle.inputs
-sha256sum $OPENSSL_PACKAGE >> bundle.inputs
 echo >> bundle.inputs
 
 if [ "z$VERIFY_TAGS" = "z1" ];
@@ -38,6 +49,7 @@ then
   HTTPSE_TAG=refs/tags/$HTTPSE_TAG
   ZLIB_TAG=refs/tags/$ZLIB_TAG
   LIBEVENT_TAG=refs/tags/$LIBEVENT_TAG
+  OPENSSL_TAG=refs/tags/$OPENSSL_TAG
 fi
 
 echo "`cd zlib && git log --format=%H -1 $ZLIB_TAG` zlib.git" >> bundle.inputs
@@ -46,6 +58,7 @@ echo "`cd torbutton && git log --format=%H -1 $TORBUTTON_TAG` torbutton.git" >>
 echo "`cd tor-launcher && git log --format=%H -1 $TORLAUNCHER_TAG` tor-launcher.git" >> bundle.inputs
 echo "`cd https-everywhere && git log --format=%H -1 $HTTPSE_TAG` https-everywhere.git" >> bundle.inputs
 echo "`cd tbb-windows-installer && git log --format=%H -1 $NSIS_TAG` tbb-windows-installer.git" >> bundle.inputs
+echo "`cd openssl && git log --format=%H -1 $OPENSSL_TAG` openssl.git" >> bundle.inputs
 echo "`cd $INPUTS_DIR && git log --format=%H -1` gitian-builder.git" >> bundle.inputs
 echo "`cd $WRAPPER_DIR && git log --format=%H -1` tor-browser-bundle.git" >> bundle.inputs
 





More information about the tor-commits mailing list